Package org.apache.uima.cas.impl

# Class TypeImpl_string

java.lang.Object
org.apache.uima.cas.impl.TypeImpl
org.apache.uima.cas.impl.TypeImpl_primitive
org.apache.uima.cas.impl.TypeImpl_string

All Implemented Interfaces:
  `Comparable<TypeImpl>`, `Iterable<Feature>`, `Type`

Direct Known Subclasses:
  `TypeImpl_stringSubtype`

public class TypeImpl_string extends TypeImpl_primitive
String or String Subtype

- ## Field Summary

  ### Fields inherited from class org.apache.uima.cas.impl.TypeImpl

  `isBuiltIn, isCreatableAndNotBuiltinArray, isFeatureFinal, isInheritanceFinal, isLongOrDouble, isRefType, javaClass, singleton`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TypeImpl_string(String name, TypeSystemImpl tsi, TypeImpl supertype)`
  `TypeImpl_string(String name, TypeSystemImpl tsi, TypeImpl supertype, Class<?> javaType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isStringOrStringSubtype()`
  `boolean`
  `subsumes(TypeImpl ti)`

  ### Methods inherited from class org.apache.uima.cas.impl.TypeImpl_primitive

  `isPrimitive`

  ### Methods inherited from class org.apache.uima.cas.impl.TypeImpl

  `compareTo, equals, getAppropriateFeatures, getCode, getComponentSlotKind, getComponentType, getFeature, getFeatureByBaseName, getFeatureImpls, getFeatures, getFeaturesAsStream, getFsSpaceReq, getFsSpaceReq, getFsSpaceReq, getJCasClassName, getMergedStaticFeaturesIntroducedByThisType, getName, getNbrOfLongOrDoubleFeatures, getNumberOfFeatures, getShortName, getSuperType, getTypeSystem, hashCode, hashCodeNameLong, hasRefFeature, isAnnotationBaseType, isAnnotationType, isAppropriateFeature, isArray, isCreatableAndNotBuiltinArray, isFeatureFinal, isInheritanceFinal, isLongOrDouble, isStringSubtype, isTopType, isTypedFsArray, iterator, prettyPrint, prettyPrintWithSubTypes, subsumesStrictly, subsumesValue, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

  ### Methods inherited from interface org.apache.uima.cas.Type

  `subsumes`

- ## Constructor Details

  - ### TypeImpl_string

    public TypeImpl_string(String name, TypeSystemImpl tsi, TypeImpl supertype)

  - ### TypeImpl_string

    public TypeImpl_string(String name, TypeSystemImpl tsi, TypeImpl supertype, Class<?> javaType)

- ## Method Details

  - ### isStringOrStringSubtype

    public boolean isStringOrStringSubtype()
    Specified by:
      `isStringOrStringSubtype` in interface `Type`
    Overrides:
      `isStringOrStringSubtype` in class `TypeImpl`
    Returns:
      true if is a String or a StringSubtype

  - ### subsumes

    public boolean subsumes(TypeImpl ti)
    Overrides:
      `subsumes` in class `TypeImpl_primitive`
    Parameters:
      `ti` - the subtype to check
    Returns:
      true if this type subsumes the subtype (is equal to or a supertype of the subtype)